# Uses of Interface
org.eclipse.emf.compare.equi.IEquiEngine

Packages that use IEquiEngine
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.equi
org.eclipse.emf.compare.rcp

## Uses of IEquiEngine in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IEquiEngine
Modifier and Type
Field
Description
`protected IEquiEngine`
EMFCompare.Builder.`equiEngine`
The IEquiEngine to use to compute comparison.
Methods in org.eclipse.emf.compare with parameters of type IEquiEngine
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setEquivalenceEngine(IEquiEngine ee)`
Sets the IEquiEngine to be used to compute equivalences between Diff.
Constructors in org.eclipse.emf.compare with parameters of type IEquiEngine
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IEquiEngine in org.eclipse.emf.compare.equi

Classes in org.eclipse.emf.compare.equi that implement IEquiEngine
Modifier and Type
Class
Description
`class`
`DefaultEquiEngine`
The requirements engine is in charge of actually computing the equivalences between the differences.

## Uses of IEquiEngine in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IEquiEngine
Modifier and Type
Method
Description
`IItemRegistry<IEquiEngine>`
EMFCompareRCPPlugin.`getEquiEngineDescriptorRegistry()`
Returns the registry of Equivalences engines.